Python
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
client.waap.domains.insight_silences.delete(
silence_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
domain_id=1,
)package main
import (
"context"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/option"
"github.com/G-Core/gcore-go/waap"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
err := client.Waap.Domains.InsightSilences.Delete(
context.TODO(),
"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
waap.DomainInsightSilenceDeleteParams{
DomainID: 1,
},
)
if err != nil {
panic(err.Error())
}
}curl --request DELETE \
--url https://api.gcore.com/waap/v1/domains/{domain_id}/insight-silences/{silence_id} \
--header 'Authorization: <api-key>'const options = {method: 'DELETE', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/waap/v1/domains/{domain_id}/insight-silences/{silence_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"type": "http-bad-request",
"title": "Bad Request",
"status": 400,
"detail": "Invalid domain name: ''''"
}{
"detail": "Auth token is missing or invalid"
}{
"detail": "Permission denied"
}{
"type": "http-not-found",
"title": "Not Found",
"status": 404,
"detail": "The resource is not found"
}{
"type": "request-validation-failed",
"title": "Request validation error.",
"status": 422,
"detail": "One or more fields have validation errors.",
"errors": [
{
"loc": [
"body",
"name"
],
"detail": "Input should be a valid string"
},
{
"loc": [
"body",
"date"
],
"detail": "Field required"
},
{
"loc": [
"query",
"limit"
],
"detail": "Field required"
}
]
}{
"type": "internal-server-error",
"title": "Internal server error.",
"status": 500,
"detail": "An unexpected condition was encountered which prevented the server from fulfilling the request."
}Security Insights
Delete an insight silence
Delete an insight silence for a specific domain.
DELETE
/
waap
/
v1
/
domains
/
{domain_id}
/
insight-silences
/
{silence_id}
Python
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
client.waap.domains.insight_silences.delete(
silence_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
domain_id=1,
)package main
import (
"context"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/option"
"github.com/G-Core/gcore-go/waap"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
err := client.Waap.Domains.InsightSilences.Delete(
context.TODO(),
"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
waap.DomainInsightSilenceDeleteParams{
DomainID: 1,
},
)
if err != nil {
panic(err.Error())
}
}Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234$abcdef
Path Parameters
The domain ID
A generated unique identifier for the silence
Response
Successful Response
Was this page helpful?
⌘I